
#include <exec/types.h>
#include <intuition/intuition.h>
#include "thaichars.h"

#define MAX_STRING			256


#define CHOOSE_SENTENCE		0
#define SPEAK_SENTENCE		1
#define THAI_SENTENCE		2
#define PHONETIC_SENTENCE	3
#define ENGLISH_SENTENCE	4
#define RIGHT_SENTENCE		5
#define WRONG_SENTENCE		6
#define ADD_SENTENCE		7
#define DEL_SENTENCE		8
#define TS_SEARCH			9
#define PS_SEARCH			10
#define ES_SEARCH			11
#define CHOOSE_WORD			12
#define SPEAK_WORD			13
#define THAI_WORD			14
#define PHONETIC_WORD		15
#define ENGLISH_WORD		16
#define RIGHT_WORD			17
#define WRONG_WORD			18
#define ADD_WORD			19
#define DEL_WORD			20
#define TW_SEARCH			21
#define PW_SEARCH			22
#define EW_SEARCH			23
#define NEXT_ENTRY			24
#define PREV_ENTRY			25
#define TS_ENTRY			26
#define PS_ENTRY			27
#define ES_ENTRY			28
#define TW_ENTRY			29
#define PW_ENTRY			30
#define EW_ENTRY			31
#define TRANSLATE_SENTENCE	32
#define TRANSLATE_WORD		33
#define REPLACE_SENTENCE	34
#define	REPLACE_WORD		35

#define NUM_CMDS			36


#define TSBASEX		86
#define TSBASEY		81
#define TSHEIGHT	22
#define TSWIDTH		484

#define TWBASEX		86
#define TWBASEY		148
#define TWHEIGHT	22
#define TWWIDTH		484


struct thai_phrase {
	char *thai;
	char *phonetic;
	char *english;
	int right;
	int wrong;
	struct thai_phrase *next;
	struct thai_phrase *prev;
};


#define FP		1
#define BP		0

extern struct thai_phrase *chosen_sentence;
extern struct thai_phrase *chosen_word;

#define SHOW_THAI		1
#define SHOW_PHONETIC	2
#define SHOW_ENGLISH	4

extern int show_sentence;
extern int show_word;

extern int entry;	/* TW_ENTRY or TS_ENTRY for thai text entry */

extern struct thai_phrase screen_sentence;
extern struct thai_phrase screen_word;

extern int file_changed;
extern struct thai_phrase word_head;
extern struct thai_phrase sentence_head;

extern struct thai_phrase *split_words[];
extern int num_split_words;
extern int cur_split_word;

extern int scanning;
extern struct thai_phrase scan;

extern char *wordptr;

extern struct Window *window;
extern struct TextFont *thai_font;
extern struct TextAttr thai_textattr;

extern struct Gadget CmdGadget[];


extern struct thai_phrase *thai_search ();
extern struct thai_phrase *phonetic_search ();
extern struct thai_phrase *english_search ();
extern char *translate ();
extern char *malloc ();
extern char *strsave ();
extern char *split_sentence ();

extern LONG TextLength ();
